<?php
global $gv_SiteGlobals, $gv_QuizGlobals, $gv_QuizDirectory;

$gv_QuizDirectory = $gv_SiteGlobals['Paths']['FileRoot'] . $gv_SiteGlobals['Paths']['ModulesDir'] . $gv_SiteGlobals["Modules"]['Quiz'];
$gv_QuizGlobals = parse_ini_file($gv_QuizDirectory . 'quiz.ini', true);

class maml_quiz extends prototype_tag {
	protected $doctext = <<<'DOCBLOCK'
<p>An empty quiz tag &lt;maml:quiz /&gt;, will produce a quiz module.  This includes a quizbook which is a list of all of the quizzes in the database, the score if the quiz has been taken and the link to take it.  When the user clicks on a link to take the quiz it will bring them to the correct quiz and allow them to take it.  Once they have submitted the quiz, they will be redirected to a score page which shows them which questions they got correct and what their score is.  If the user has never taken the quiz or gets a higher score than the score currently saved for them in the database, then their score will be saved.  If they do not beat the highest score, their score will not be saved.</p>
<p>A tag with a specified style will determine the style that the answers will be displayed in.  Currently this supports radio buttons and select menus</p>
<p>A tag with a specified retake will determine if retake is specified false, the user can only take the quiz once. If it is specified true, the user can take the quiz as many times as they want.</p>

<p>An example of this is &lt;maml:quiz id="1" style="radio" retake="false" /&gt;</p>
DOCBLOCK;
    
    public $permitted;
    public $id;
    //public $style;
    public $retake;
    public $quizType;

   	function maml_quiz(){
		$this->emptytag=1;	
	}
    function begin () {
        global $gv_SiteGlobals, $gv_QuizGlobals, $gv_QuizDirectory;

        // checks if user is logged in - if not, treats them as a guest
        if($_SESSION['tokens']['UserID']==""){
            // set the first name equal to 'guest'
            $_SESSION['tokens']['FirstName'] = "Guest"; 
        } 
        else {
            $fv_TemplateVars['t_userId']=$_SESSION['tokens']['UserID'];
        }
        
        $fv_TemplateVars['quizborder'] = $gv_QuizGlobals['Defaults']['QuizBorder'];
        $fv_TemplateVars['quizbackground'] = $gv_QuizGlobals['Defaults']['QuizBackground'];
        $fv_TemplateVars['questionborder'] = $gv_QuizGlobals['Defaults']['QuestionBorder'];
        $fv_TemplateVars['questionbackground'] = $gv_QuizGlobals['Defaults']['QuestionBackground'];
        $fv_TemplateVars['labelborder'] = $gv_QuizGlobals['Defaults']['LabelBorder'];
        $fv_TemplateVars['labelbackground'] = $gv_QuizGlobals['Defaults']['LabelBackground'];
        $fv_TemplateVars['labelhover'] = $gv_QuizGlobals['Defaults']['LabelHover'];
        
        // quiz type for guest access
        if(!isset($this->quizType)) {
            $this->quizType = $gv_QuizGlobals['Default']['QuizType'];
        }
        else {
        	$this->quizType = intval($this->quizType);
        }
      

        if((!isset($_REQUEST['t_CurrentQuizMode']))&&isset($this->id)){
            $_REQUEST['t_CurrentQuizMode']='quiz';
        }

    	if(!isset($_REQUEST['t_CurrentQuizMode'])) {
            if (!isset($_GET['t_submit'])) {
                $_REQUEST['t_CurrentQuizMode']='quizbook';
            } else {
                $_REQUEST['t_CurrentQuizMode']='quiz';
            }
	   }
       
	   $fv_TemplateVars['CurrentQuizMode'] = $_REQUEST['t_CurrentQuizMode'];

        if (isset($_GET['t_quizId'])){
            $this->id=$_GET['t_quizId'];
        }  

        switch ($_REQUEST['t_CurrentQuizMode']) {
        
        case "quizbook":
            $fv_hasQuiz = false; // check against quizzes in database
            
            // echo the beginning of the quizbook template and get all quizzes from the database
            $fv_rows=m_FetchRecordsArray("molly_quizzes","*","quiz_id>=0","");

            // loop through quizzes
            if(count($fv_rows) > 0) {
                // if logged in, display all quizzes 
                if($_SESSION['tokens']['UserID']) {
                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.quizbook.begin.tplt', $fv_TemplateVars);   
                    for($i = 0; $i < count($fv_rows); $i++) {
                        
                        $fv_hasQuiz = true;
                        
                        $fv_TemplateVars['t_quizNum'] = $fv_rows[$i]['quiz_id'];
                        $fv_quizId = $fv_rows[$i]['quiz_id'];
                        $fv_TemplateVars['t_quizName'] = $fv_rows[$i]['name'];
                        $fv_userId = $_SESSION['tokens']['UserID'];
                        
                        // for each quiz, fetch scores for that user only
                        $fv_scores = m_FetchRecordsArray("molly_quiz_scores", "*", "quiz_id='$fv_quizId'", "user_id='$fv_userId'", "");
                        
                        if(count($fv_scores) > 0) {
                            // echo out each best score - lower scores are ignored
                            for($j = 0; $j < count($fv_scores); $j++) {
                                $fv_TemplateVars['t_quizScore'] = $fv_scores[$j]['score'];
                            }
                        }
                        // else, echo none
                        else {
                            $fv_TemplateVars['t_quizScore'] = "Not attempted";
                        }
                        
                        // output database information into template rows
                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.quizbook.row.tplt', $fv_TemplateVars);
                    }
                }
                // else if guest, display open quizzes only
                else {
                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.guest.tplt', $fv_TemplateVars);
                    // check for open quizzes
                    for($i = 0; $i < count($fv_rows); $i++) {
                        if($fv_rows[$i]['open'] == '1') {
                            $fv_hasQuiz = true;
                            
                            $fv_TemplateVars['t_CurrentQuizMode'] = 'quiz';
                            $fv_TemplateVars['t_quizId'] = $fv_rows[$i]['quiz_id'];
                            $fv_TemplateVars['t_quizTitle']=$fv_rows[$i]['name'];
                            $fv_quizId = $fv_rows[$i]['quiz_id'];
                            
                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.begin.tplt', $fv_TemplateVars);
                            
                            $fv_questions=m_FetchRecordsArray("molly_quiz_questions","*","quiz_id='$fv_quizId'","question_id");

                            if(count($fv_questions) > 0) {
                                for($k=0;$k<count($fv_questions);$k++){
                                    $fv_TemplateVars['t_questionCount']=count($fv_questions);
                                    $fv_TemplateVars['t_question']=$fv_questions[$k]["question"];
                                    $fv_TemplateVars['t_questionNum']=$k+1;
                                    $fv_questionType = $fv_questions[$k]["question_type"];
                                    
                                    $fv_questionId= $fv_questions[$k]["question_id"];
                                    if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.begin.tplt', $fv_TemplateVars);
                                    }
                                    if ($fv_questionType == "select"){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.begin.tplt', $fv_TemplateVars);
                                    }
                                    if ($fv_questionType == "checkbox"){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.begin.tplt', $fv_TemplateVars);
                                    }
                                    
                                    
                                    $fv_answers=m_FetchRecordsArray("molly_quiz_answers","*","quiz_id='$fv_quizId' AND question_id='$fv_questionId'","answer_id");
                                    if(count($fv_answers) > 0) {
                                        for($j=0;$j<count($fv_answers);$j++){
                                            $fv_TemplateVars['t_optionValue']=$fv_answers[$j]["answer_id"];
                                            $fv_TemplateVars['t_option']=$j+1 .  ". ".$fv_answers[$j]["text"];
                                            
                                            if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.button.tplt', $fv_TemplateVars);
                                            }
                                            if ($fv_questionType == "select"){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.option.tplt', $fv_TemplateVars);
                                            }
                                            if ($fv_questionType == "checkbox"){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.button.tplt', $fv_TemplateVars);
                                            }
                                        } 
                                 
                                    }
                                        if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.end.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "select"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.end.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "checkbox"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.end.tplt', $fv_TemplateVars);
                                        }
                                    }
                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.end.tplt', $fv_TemplateVars);
                                print_r("<br />");
                            }
                            
                            //                             
                            
                            $fv_TemplateVars['t_quizNum'] = $fv_rows[$i]['quiz_id'];
                            $fv_quizId = $fv_rows[$i]['quiz_id'];
                            $fv_TemplateVars['t_quizName'] = $fv_rows[$i]['name'];
                            
                        
                            // for each quiz, fetch scores for that user only
                            $fv_scores = m_FetchRecordsArray("molly_quiz_scores", "*", "quiz_id='$fv_quizId' AND user_id='$fv_userId'", "");
                                                          
                            if(count($fv_scores) > 0) {
                                // echo out each best score - lower scores are ignored
                                for($j = 0; $j < count($fv_scores); $j++) {
                                    if($fv_scores[$j]['user_id'] == 0) {
                                        $fv_TemplateVars['t_quizScore'] = $fv_scores[$j]['score'];
                                    }
                                    else {
                                        $fv_TemplateVars['t_quizScore'] = "Not attempted";
                                    }
                                }
                            }
                        }
                    }
                    
                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.quizbook.begin.tplt', $fv_TemplateVars);
                    for($i = 0; $i < count($fv_rows); $i++) {
                        if($fv_rows[$i]['open'] == '1') {
                            $fv_TemplateVars['t_quizNum'] = $fv_rows[$i]['quiz_id'];
                            $fv_quizId = $fv_rows[$i]['quiz_id'];
                            $fv_TemplateVars['t_quizName'] = $fv_rows[$i]['name'];
                            
                             $fv_scores = m_FetchRecordsArray("molly_quiz_scores", "*", "quiz_id='$fv_quizId' AND user_id='$fv_userId'", "");
                        
                            if(count($fv_scores) > 0) {
                                // echo out each best score - lower scores are ignored
                                for($j = 0; $j < count($fv_scores); $j++) {
                                    $fv_TemplateVars['t_quizScore'] = $fv_scores[$j]['score'];
                                }
                            }
                            
                            // else, echo none
                            else {
                                if(!$_SESSION['tokens']['UserID']) {
                                    $fv_TemplateVars['t_quizScore'] = "Guest user: not recorded.";
                                }
                                else {
                                    $fv_TemplateVars['t_quizScore'] = "Not attempted.";
                                }
                            }
                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.quizbook.row.tplt', $fv_TemplateVars);
                        }
                    }
                }
            }
            // echo the end of the quizbook template
            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.quizbook.end.tplt', $fv_TemplateVars);

        break;
                
        case "quiz":

        // if the quiz has not yet been submitted
        if (!isset($_GET['t_submit'])) {
            if (!isset($this->id)){ 
                $this->id=$_GET['t_quizId'];             
            }
            
            $fv_rows=m_FetchRecordsArray("molly_quizzes","*","quiz_id='$this->id'","quiz_id"); 
            
            $fv_TemplateVars['t_quizId']=$this->id;             
            
            // if guest user, check that they are accessing an open quiz
            if(!$_SESSION['tokens']['UserID']) {
                for($a = 0; $a < count($fv_rows); $a++) {
                    if($fv_rows[0]['open'] == 1) {
                        if(count($fv_rows) > 0) {
                            for($i=0;$i<count($fv_rows);$i++){
                                $fv_TemplateVars['t_quizTitle']=$fv_rows[$i]["name"];   
                            
                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.begin.tplt', $fv_TemplateVars);
                                $fv_questions=m_FetchRecordsArray("molly_quiz_questions","*","quiz_id='$this->id'","question_id");
                                if(count($fv_questions) > 0) {
                                    for($k=0;$k<count($fv_questions);$k++){
                                        $fv_TemplateVars['t_questionCount']=count($fv_questions);
                                        $fv_TemplateVars['t_question']=$fv_questions[$k]["question"];
                                        $fv_TemplateVars['t_questionNum']=$k+1;
                                        $fv_questionId= $fv_questions[$k]["question_id"];
                                        $fv_questionType = $fv_questions[$k]["question_type"];
                                        
                                        if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.begin.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "select"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.begin.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "checkbox"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.begin.tplt', $fv_TemplateVars);
                                        }         
                                        
                                        $fv_answers=m_FetchRecordsArray("molly_quiz_answers","*","quiz_id='$this->id' AND question_id='$fv_questionId'","answer_id");
                                        if(count($fv_answers) > 0) {
                                            for($j=0;$j<count($fv_answers);$j++){
                                                $fv_TemplateVars['t_optionValue']=$fv_answers[$j]["answer_id"];
                                                $fv_TemplateVars['t_option']=$j+1 .  ". ".$fv_answers[$j]["text"];
                                                
                                                if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.button.tplt', $fv_TemplateVars);
                                                }
                                                if ($fv_questionType == "select"){
                                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.option.tplt', $fv_TemplateVars);
                                                }
                                                if ($fv_questionType == "checkbox"){
                                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.button.tplt', $fv_TemplateVars);
                                                }                                    
                                            } 
                                     
                                        }
                                            if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.end.tplt', $fv_TemplateVars);
                                            }
                                            if ($fv_questionType == "select"){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.end.tplt', $fv_TemplateVars);
                                            }
                                            if ($fv_questionType == "checkbox"){
                                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.end.tplt', $fv_TemplateVars);
                                            }
                                            
                                    }
                                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.end.tplt', $fv_TemplateVars);
                                }
                            }
                        }
                    }
                    else {
                        echo "<p><b style='color: red;'>Not permitted. Please access the guest quizbook to view open quizzes.</b></p>";
                        break;
                    }
                }
            }
            else {
                if(count($fv_rows) > 0) {
                    for($i=0;$i<count($fv_rows);$i++){
                        $fv_TemplateVars['t_quizTitle']=$fv_rows[$i]["name"];   
                    
                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.begin.tplt', $fv_TemplateVars);
                        $fv_questions=m_FetchRecordsArray("molly_quiz_questions","*","quiz_id='$this->id'","question_id");
                        if(count($fv_questions) > 0) {
                            for($k=0;$k<count($fv_questions);$k++){
                                $fv_TemplateVars['t_questionCount']=count($fv_questions);
                                $fv_TemplateVars['t_question']=$fv_questions[$k]["question"];
                                $fv_TemplateVars['t_questionNum']=$k+1;
                                $fv_questionId= $fv_questions[$k]["question_id"];
                                
                                $fv_questionType = $fv_questions[$k]["question_type"];
                                //print_r($fv_questionType);
                                        
                                
                                if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.begin.tplt', $fv_TemplateVars);
                                }
                                if ($fv_questionType == "select"){
                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.begin.tplt', $fv_TemplateVars);
                                }
                                if ($fv_questionType == "checkbox"){
                                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.begin.tplt', $fv_TemplateVars);
                                }                            
                                $fv_answers=m_FetchRecordsArray("molly_quiz_answers","*","quiz_id='$this->id' AND question_id='$fv_questionId'","answer_id");
                                if(count($fv_answers) > 0) {
                                    for($j=0;$j<count($fv_answers);$j++){
                                        $fv_TemplateVars['t_optionValue']=$fv_answers[$j]["answer_id"];
                                        $fv_TemplateVars['t_option']=$j+1 .  ". ".$fv_answers[$j]["text"];
                                        
                                        if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.button.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "select"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.option.tplt', $fv_TemplateVars);
                                        }
                                        if ($fv_questionType == "checkbox"){
                                            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.button.tplt', $fv_TemplateVars);
                                        }                                    
                                    } 
                             
                                }
                                    if ($fv_questionType == "radio" || $fv_questionType === NULL){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.radio.end.tplt', $fv_TemplateVars);
                                    }
                                    if ($fv_questionType == "select"){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.question.end.tplt', $fv_TemplateVars);
                                    }
                                    if ($$fv_questionType == "checkbox"){
                                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.checkbox.end.tplt', $fv_TemplateVars);
                                    }
                                    
                            }
                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.end.tplt', $fv_TemplateVars);
                        }
                    }
                }
            }

        } else { // if the quiz has been submitted, get the answers and score
            $fv_scoreArray = array();
            $fv_questionCount=$_GET['t_questionCount'];
            $fv_quizId=$_GET['t_quizId'];
            $fv_userId=$_GET['t_userId'];
            $fv_userName=$_GET['t_userName'];
            $fv_TemplateVars['t_quizId']=$fv_quizId;             
            $fv_TemplateVars['t_userName']=$fv_userName;
            
            $fv_questions=m_FetchRecordsArray("molly_quiz_questions","*","quiz_id='$fv_quizId'", "");

            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.begin.tplt', $fv_TemplateVars);
            for($i=1; $i<=$fv_questionCount; $i++){
                $fv_questions = m_FetchRecordsArray("molly_quiz_questions","*","quiz_id='$fv_quizId'", "");
                $fv_questionNum = $i;
                $fv_answerSubmitted = $_GET[$i];
                
                if(!$fv_answerSubmitted) {
                    echo "<p style='padding: 0 0 0 20px; font-weight: bold;'>Please answer all questions to the quiz to review your answers.</p>";
                    break;
                }
                
                $fv_TemplateVars['t_questionNum']=$fv_questionNum;    
                $fv_TemplateVars['t_question']=$fv_questions[$i-1]['question'];
                
                $fv_answers=m_FetchRecordsArray("molly_quiz_answers","*", "quiz_id='$this->id' AND question_num='$fv_questionNum'");
                if(count($fv_answers) > 0) {
                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.question.begin.tplt', $fv_TemplateVars);

                    for($k=0; $k<count($fv_answers); $k++){
                        if ($fv_answers[$k]['isRight']==1){
                            $fv_TemplateVars['t_isCorrect'] = ": <b><u>Correct choice</u></b>";
                            //$fv_scoreArray[] = 1;
                        } else {
                            $fv_TemplateVars['t_isCorrect'] = ": <i>Incorrect choice</i>";
                            //$fv_scoreArray[] = 0;
                        }
                        $fv_TemplateVars['t_answerText']=$fv_answers[$k]['text'];
                        $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.question.tplt', $fv_TemplateVars);
                    }
                    $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.question.end.tplt', $fv_TemplateVars);
                    //end for answer count
                } //end if count is greater than zero
                
                $fv_answersSubmitted = m_FetchRecordsArray("molly_quiz_answers","*","quiz_id='$this->id' AND question_num='$fv_questionNum' AND answer_id='$fv_answerSubmitted'","answer_id");
                
                if(count($fv_answersSubmitted) > 0) {
                    for($y=0; $y<count($fv_answersSubmitted); $y++) {
                        if ($fv_answersSubmitted[$y]['isRight']==1){
                            $fv_scoreArray[] = 1;
                            echo "<p style='padding: 0 0 0 20px; color: green;'>Question #" . $fv_questionNum . " is correct!</p>";
                        } else {
                            $fv_scoreArray[] = 0;
                            echo "<p style='padding: 0 0 0 20px; color: red;'>Question #" . $fv_questionNum . " is incorrect.</p>";
                        }
                    }
                }
            }//end for all questions
            
            $fv_scoreSum = array_sum($fv_scoreArray);
            $fv_TemplateVars['t_scoreSum'] = $fv_scoreSum;
            $fv_percent = ($fv_scoreSum/$fv_questionCount)*100;
            $fv_TemplateVars['t_percent']=$fv_percent;
            
            if($_SESSION['tokens']['UserID']) {
                $fv_scores=m_FetchRecordsArray("molly_quiz_scores","*","quiz_id='$fv_quizId' AND user_id='$fv_userId'","");
                
                if(count($fv_scores) == 0) {
                    $v_query = "INSERT INTO molly_quiz_scores (quiz_id, user_id, score) VALUES ('".$fv_quizId."','" . $fv_userId . "','" .$fv_percent."' )";
                    $v_result = m_DoQuery($v_query);
                        if($v_result){
                            $fv_TemplateVars['t_scoreSubmit']="Your score has been saved!";
                        }
                } else {
                    if ($fv_scores[0]['score']<$fv_percent){
                        $v_query = "UPDATE molly_quiz_scores SET score ='".$fv_percent."' WHERE quiz_id='".$fv_quizId."' AND user_id='".$fv_userId."'";
                        $v_result = m_DoQuery($v_query);
                            if($v_result){
                                $fv_TemplateVars['t_scoreSubmit']="Your score has been updated!";
                            } 
                    } else  {
                        $fv_TemplateVars['t_scoreSubmit'] ="<br>You did not beat your highest score.";
                    }
                }
            }
            $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.end.tplt', $fv_TemplateVars);
            /*if($_SESSION['tokens']['UserID']) {
                 $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.end.tplt', $fv_TemplateVars);
            }
            else {
                $this->echoTemplate($gv_QuizDirectory . 'templates/quiz.score.guest.end.tplt', $fv_TemplateVars);
            }*/
            }

            break; //edit_even
                
        
            default:
                break;
        }
        
		$fv_TheTemplate = $this->fetchTemplate($gv_QuizDirectory . 'templates/quiz.style.tplt');
		$fv_TheTemplate = m_Interpolate($fv_TheTemplate, $fv_TemplateVars);
		
		m_AppendStylesheet($fv_TheTemplate, 'quiz', FALSE);
    
    }
}

?>
